%define rel 2
%define _X11prefix %{_prefix}/X11R6
%define plf 0
%define enable_extrusion 1
# Allow --with[out] <feature> at rpm command line build
%{?_with_plf: %{expand: %%define plf 1}}
%{?_without_plf: %{expand: %%define plf 0}}
%{?_with_extrusion: %{expand: %%define enable_extrusion 1}}
%{?_without_extrusion: %{expand: %%define enable_extrusion 0}}

%if %plf
%define release 1mdk
%else
%define release %{rel}mdk
%endif

Name:		xscreensaver
Summary:	A set of X Window System screensavers
Version: 4.18
Release:	%release
License:	BSD
Group:		Graphical desktop/Other
URL:		http://www.jwz.org/xscreensaver/

Source0:	http://www.jwz.org/xscreensaver/xscreensaver-%{version}.tar.bz2
Source1:	xscreensaver-capplet.png
Source2:	xscreensaver-newglade.tar.bz2
Source3:	xscreensaver-po.tar.bz2

# Only GDadou should be enabled
Patch9:		xscreensaver-4.09-defaultconfig.patch.bz2
# (fc) 4.00-4mdk allow root to start xscreensaver
Patch10:    xscreensaver-4.00-root.patch.bz2
# (fc) 4.05-3mdk disable openGL hacks by default
Patch11:	xscreensaver-4.05-noGL.patch.bz2
# (fc) 4.05-4mdk don't show screensavers that aren't available
Patch13:    xscreensaver-4.01-avail.patch.bz2
# (fc) 4.05-4mdk use $BROWSER to launch a browser
Patch15:    xscreensaver-4.16-browser.patch.bz2
# (fc) 4.05-4mdk use gtk2 lock widget
Patch16:    xscreensaver-4.05-gtk-lock.patch.bz2
# (fc) 4.05-6mdk fix .desktop entry icon and location
Patch18:	xscreensaver-4.10-desktopfile.patch.bz2

# Fix screensaver path (use /usr/X11R6/bin and not /usr/bin)
Patch19:	xscreensaver-4.18-fix-xscreensaver.kss-path.patch.bz2

Requires:	fortune-mod words chbg
Requires:   mandrake_desk >= 8.2
BuildRequires:	autoconf2.5
BuildRequires:	XFree86
BuildRequires:	bc
BuildRequires:	fortune-mod
BuildRequires:	krb5-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:	libjpeg-devel
BuildRequires:	pam-devel
BuildRequires:	xpm-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	ImageMagick
%if %enable_extrusion
BuildRequires:  libgle-devel
%endif

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Conflicts:	gnome-control-center < 1.5.11-4mdk

%package gl
Group:		Graphical desktop/Other
Requires:	xscreensaver = %version-%release
Summary:	A set of GL screensavers

%description gl
The xscreensaver-gl package contains even more screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screensavers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screensavers for
use with the X Window System and you have OpenGL or Mesa installed.

%description
The xscreensaver package contains a variety of screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure.

Install the xscreensaver package if you need screensavers for use with
the X Window System.

%package matrix
Group:		Graphical desktop/Other
Requires:	xscreensaver = %version
Summary:	The Matrix screensavers

%description matrix
The xscreensaver-matrix package contains two screensavers for
xscreensaver based on the movie The Matrix. It is in plf because there
might by copyright problems with the artwork used in this
screensavers.

%package extrusion
Group:		Graphical desktop/Other
Requires:	xscreensaver = %version
Summary:	OpenGL screensaver 

%description extrusion
The xscreensaver-extrusion package contains the extrusion
screensaversfor your mind-numbing, ambition-eroding, time-wasting,
hypnotized viewing pleasure. This screensaver requires OpenGL or Mesa
support.

This screensaver is in a separate package, because it is the only
application for the Mandrakelinux distribution which requires the GLE
extrusion library.

%prep
%setup -q
# WARNING this patch must ALWAYS be applied, if it fails, REGENERATE it !!!
%patch9 -p1 -b .defaultconfig
%patch10 -p1 -b .root
%patch11 -p1 -b .noGL
%patch13 -p1 -b .available
%patch15 -p1 -b .browser
%patch18 -p1 -b .desktopfile
%patch19 -p1 -b .kscreensaver_path


cd driver
bzcat %{SOURCE2} | tar xf -
cd ..

cd po
bzcat %{SOURCE3} | tar xf - 
cd ..

#needed by patches 11, 16
autoconf

%build

%configure2_5x --prefix=%{_X11prefix} --exec-prefix=%{_X11prefix} \
 --libexec=%{_X11prefix}/lib --with-gtk2 --without-gnome \
 --with-zippy="/usr/games/fortune" \
 --without-motif  --with-pam --with-gl \
%if %enable_extrusion
 --with-gle 
%else
 --without-gle
%endif 	

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/app-defaults/
mkdir -p $RPM_BUILD_ROOT%{_X11prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_X11prefix}/man/man1
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
mkdir -p $RPM_BUILD_ROOT%{_X11prefix}/lib/xscreensaver

make install_prefix=$RPM_BUILD_ROOT bindir=%{_X11prefix}/bin \
 KDEDIR=%{_prefix} GNOME_BINDIR=%{_bindir}  GNOME_DATADIR=%{_datadir} \
 mandir=%{_X11prefix}/man AD_DIR=%{_sysconfdir}/X11/app-defaults/ \
 gnulocaledir=%_datadir/locale install

cat<<EOF >README.GL
The xscreensaver-gl package contains even more screensavers for your
mind-numbing, ambition-eroding, time-wasting, hypnotized viewing
pleasure. These screensavers require OpenGL or Mesa support.

Install the xscreensaver-gl package if you need more screensavers for
use with the X Window System and you have OpenGL or Mesa installed.
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%_bindir/screensaver-properties-capplet" icon="xscreensaver-capplet.png" longtitle="Configure the settings of the screensaver" title="Screensaver" needs="x11" section="Configuration/Other" startup_notify="true"
EOF
#icons
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 32x32 %SOURCE1 %buildroot%_iconsdir/xscreensaver-capplet.png
convert -scale 16x16 %SOURCE1 %buildroot%_miconsdir/xscreensaver-capplet.png
ln -s %{_datadir}/pixmaps/xscreensaver-capplet.png %buildroot%_liconsdir/xscreensaver-capplet.png


#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/control-center/{Desktop,capplets}
rm -f $RPM_BUILD_ROOT%{_datadir}/control-center/screensavers/xjack.xml
rm -f $RPM_BUILD_ROOT%{_X11prefix}/man/man1/xjack.1  
rm -f  $RPM_BUILD_ROOT%{_X11prefix}/lib/xscreensaver/xjack

%if ! %{plf}
rm -rf $RPM_BUILD_ROOT%{_X11prefix}/lib/xscreensaver/*matrix
rm -rf $RPM_BUILD_ROOT%{_X11prefix}/man/man1/*matrix*
rm -rf $RPM_BUILD_ROOT%{_datadir}/control-center/screensavers/*matrix*
%endif
%if ! %{enable_extrusion}
rm -f $RPM_BUILD_ROOT%{_datadir}/control-center/screensavers/extrusion.xml
rm -f $RPM_BUILD_ROOT%{_X11prefix}/man/man1/extrusion.1  
%endif


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}
%post gl
perl -pi -e 's/\A-\s+GL:/ GL:/' %{_sysconfdir}/X11/app-defaults/XScreenSaver

%postun gl
perl -ni -e '/\A\s*GL:/ and print "- $_" or print "$_"' %{_sysconfdir}/X11/app-defaults/XScreenSaver


%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pam.d/xscreensaver
%doc README
%{_bindir}/xscreensaver.kss
%{_bindir}/screensaver-properties-capplet
%{_X11prefix}/bin/xscreensaver
%{_X11prefix}/bin/xscreensaver-command
%{_X11prefix}/bin/xscreensaver-demo
%{_X11prefix}/bin/xscreensaver-getimage
%{_X11prefix}/bin/xscreensaver-getimage-file
%{_X11prefix}/bin/xscreensaver-getimage-video
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%{_X11prefix}/man/man1/*
%dir %{_X11prefix}/lib/xscreensaver/
%{_X11prefix}/lib/xscreensaver/anemone
%{_X11prefix}/lib/xscreensaver/anemotaxis
%{_X11prefix}/lib/xscreensaver/ant
%{_X11prefix}/lib/xscreensaver/apple2
%{_X11prefix}/lib/xscreensaver/attraction
%{_X11prefix}/lib/xscreensaver/apollonian
%{_X11prefix}/lib/xscreensaver/barcode
%{_X11prefix}/lib/xscreensaver/blaster
%{_X11prefix}/lib/xscreensaver/blitspin
%{_X11prefix}/lib/xscreensaver/bouboule
%{_X11prefix}/lib/xscreensaver/braid
%{_X11prefix}/lib/xscreensaver/bsod
%{_X11prefix}/lib/xscreensaver/bubbles
%{_X11prefix}/lib/xscreensaver/bumps
%{_X11prefix}/lib/xscreensaver/ccurve
%{_X11prefix}/lib/xscreensaver/cloudlife
%{_X11prefix}/lib/xscreensaver/compass
%{_X11prefix}/lib/xscreensaver/coral
%{_X11prefix}/lib/xscreensaver/critical
%{_X11prefix}/lib/xscreensaver/crystal
%{_X11prefix}/lib/xscreensaver/cynosure
%{_X11prefix}/lib/xscreensaver/decayscreen
%{_X11prefix}/lib/xscreensaver/deco
%{_X11prefix}/lib/xscreensaver/deluxe
%{_X11prefix}/lib/xscreensaver/demon
%{_X11prefix}/lib/xscreensaver/discrete
%{_X11prefix}/lib/xscreensaver/distort
%{_X11prefix}/lib/xscreensaver/drift
%{_X11prefix}/lib/xscreensaver/epicycle
%{_X11prefix}/lib/xscreensaver/eruption
%{_X11prefix}/lib/xscreensaver/euler2d
%{_X11prefix}/lib/xscreensaver/fadeplot
%{_X11prefix}/lib/xscreensaver/flag
%{_X11prefix}/lib/xscreensaver/flame
%{_X11prefix}/lib/xscreensaver/flow
%{_X11prefix}/lib/xscreensaver/fluidballs
%{_X11prefix}/lib/xscreensaver/fontglide
%{_X11prefix}/lib/xscreensaver/forest
%{_X11prefix}/lib/xscreensaver/fuzzyflakes
%{_X11prefix}/lib/xscreensaver/galaxy
%{_X11prefix}/lib/xscreensaver/goop
%{_X11prefix}/lib/xscreensaver/grav
%{_X11prefix}/lib/xscreensaver/greynetic
%{_X11prefix}/lib/xscreensaver/halftone
%{_X11prefix}/lib/xscreensaver/halo
%{_X11prefix}/lib/xscreensaver/helix
%{_X11prefix}/lib/xscreensaver/hopalong
%{_X11prefix}/lib/xscreensaver/hyperball
%{_X11prefix}/lib/xscreensaver/hypercube
%{_X11prefix}/lib/xscreensaver/ifs
%{_X11prefix}/lib/xscreensaver/imsmap
%{_X11prefix}/lib/xscreensaver/interference
%{_X11prefix}/lib/xscreensaver/jigsaw
%{_X11prefix}/lib/xscreensaver/juggle
%{_X11prefix}/lib/xscreensaver/julia
%{_X11prefix}/lib/xscreensaver/kaleidescope
%{_X11prefix}/lib/xscreensaver/kumppa
%{_X11prefix}/lib/xscreensaver/laser
%{_X11prefix}/lib/xscreensaver/lightning
%{_X11prefix}/lib/xscreensaver/lisa
%{_X11prefix}/lib/xscreensaver/lissie
%{_X11prefix}/lib/xscreensaver/ljlatest
%{_X11prefix}/lib/xscreensaver/lmorph
%{_X11prefix}/lib/xscreensaver/loop
%{_X11prefix}/lib/xscreensaver/maze
%{_X11prefix}/lib/xscreensaver/memscroller
%{_X11prefix}/lib/xscreensaver/metaballs
%{_X11prefix}/lib/xscreensaver/mismunch
%{_X11prefix}/lib/xscreensaver/moire
%{_X11prefix}/lib/xscreensaver/moire2
%{_X11prefix}/lib/xscreensaver/mountain
%{_X11prefix}/lib/xscreensaver/munch
%{_X11prefix}/lib/xscreensaver/nerverot
%{_X11prefix}/lib/xscreensaver/noseguy
%{_X11prefix}/lib/xscreensaver/pacman
%{_X11prefix}/lib/xscreensaver/pedal
%{_X11prefix}/lib/xscreensaver/penetrate
%{_X11prefix}/lib/xscreensaver/penrose
%{_X11prefix}/lib/xscreensaver/petri
%{_X11prefix}/lib/xscreensaver/phosphor
%{_X11prefix}/lib/xscreensaver/piecewise
%{_X11prefix}/lib/xscreensaver/polyominoes
%{_X11prefix}/lib/xscreensaver/pong
%{_X11prefix}/lib/xscreensaver/popsquares
%{_X11prefix}/lib/xscreensaver/pyro
%{_X11prefix}/lib/xscreensaver/qix
%{_X11prefix}/lib/xscreensaver/rd-bomb
%{_X11prefix}/lib/xscreensaver/ripples
%{_X11prefix}/lib/xscreensaver/rocks
%{_X11prefix}/lib/xscreensaver/rorschach
%{_X11prefix}/lib/xscreensaver/rotor
%{_X11prefix}/lib/xscreensaver/rotzoomer
%{_X11prefix}/lib/xscreensaver/shadebobs
%{_X11prefix}/lib/xscreensaver/sierpinski
%{_X11prefix}/lib/xscreensaver/slidescreen
%{_X11prefix}/lib/xscreensaver/slip
%{_X11prefix}/lib/xscreensaver/sonar
%{_X11prefix}/lib/xscreensaver/speedmine
%{_X11prefix}/lib/xscreensaver/sphere
%{_X11prefix}/lib/xscreensaver/spiral
%{_X11prefix}/lib/xscreensaver/spotlight
%{_X11prefix}/lib/xscreensaver/squiral
%{_X11prefix}/lib/xscreensaver/starfish
%{_X11prefix}/lib/xscreensaver/strange
%{_X11prefix}/lib/xscreensaver/swirl
%{_X11prefix}/lib/xscreensaver/t3d
%{_X11prefix}/lib/xscreensaver/thornbird
%{_X11prefix}/lib/xscreensaver/triangle
%{_X11prefix}/lib/xscreensaver/truchet
%{_X11prefix}/lib/xscreensaver/twang
%{_X11prefix}/lib/xscreensaver/vermiculate
%{_X11prefix}/lib/xscreensaver/vidwhacker
%{_X11prefix}/lib/xscreensaver/vines
%{_X11prefix}/lib/xscreensaver/wander
%{_X11prefix}/lib/xscreensaver/webcollage
%{_X11prefix}/lib/xscreensaver/webcollage-helper
%{_X11prefix}/lib/xscreensaver/whirlwindwarp
%{_X11prefix}/lib/xscreensaver/whirlygig
%{_X11prefix}/lib/xscreensaver/worm
%{_X11prefix}/lib/xscreensaver/wormhole
%{_X11prefix}/lib/xscreensaver/xanalogtv
%{_X11prefix}/lib/xscreensaver/xflame
#%{_X11prefix}/lib/xscreensaver/xjack
%{_X11prefix}/lib/xscreensaver/xlyap
%{_X11prefix}/lib/xscreensaver/xrayswarm
%{_X11prefix}/lib/xscreensaver/xspirograph
%{_X11prefix}/lib/xscreensaver/xsublim
%{_X11prefix}/lib/xscreensaver/xteevee
%{_X11prefix}/lib/xscreensaver/zoom
%{_datadir}/xscreensaver
%{_datadir}/applications/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/control-center/screensavers/
%{_datadir}/pixmaps/*
%{_menudir}/*
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png

%files gl
%defattr(-,root,root)
%doc README.GL
%{_X11prefix}/bin/xscreensaver-gl-helper
%{_X11prefix}/lib/xscreensaver/antinspect
%{_X11prefix}/lib/xscreensaver/antspotlight
%{_X11prefix}/lib/xscreensaver/atlantis
%{_X11prefix}/lib/xscreensaver/atunnel
%{_X11prefix}/lib/xscreensaver/blinkbox
%{_X11prefix}/lib/xscreensaver/blocktube
%{_X11prefix}/lib/xscreensaver/boxed
%{_X11prefix}/lib/xscreensaver/bouncingcow
%{_X11prefix}/lib/xscreensaver/bubble3d
%{_X11prefix}/lib/xscreensaver/cage
%{_X11prefix}/lib/xscreensaver/circuit
%{_X11prefix}/lib/xscreensaver/cubenetic
%{_X11prefix}/lib/xscreensaver/cubestorm
%{_X11prefix}/lib/xscreensaver/dangerball
%{_X11prefix}/lib/xscreensaver/endgame
%{_X11prefix}/lib/xscreensaver/engine
%{_X11prefix}/lib/xscreensaver/flipflop
%{_X11prefix}/lib/xscreensaver/flipscreen3d
%{_X11prefix}/lib/xscreensaver/flyingtoasters
%{_X11prefix}/lib/xscreensaver/flurry
%{_X11prefix}/lib/xscreensaver/gears
%{_X11prefix}/lib/xscreensaver/gflux
%{_X11prefix}/lib/xscreensaver/glblur
%{_X11prefix}/lib/xscreensaver/gleidescope
%{_X11prefix}/lib/xscreensaver/glforestfire
%{_X11prefix}/lib/xscreensaver/glknots
%{_X11prefix}/lib/xscreensaver/glplanet
%{_X11prefix}/lib/xscreensaver/glsnake
%{_X11prefix}/lib/xscreensaver/glslideshow
%{_X11prefix}/lib/xscreensaver/gltext
%{_X11prefix}/lib/xscreensaver/hypertorus
%{_X11prefix}/lib/xscreensaver/jigglypuff
%{_X11prefix}/lib/xscreensaver/klein
%{_X11prefix}/lib/xscreensaver/lament
%{_X11prefix}/lib/xscreensaver/lavalite
%{_X11prefix}/lib/xscreensaver/menger
%{_X11prefix}/lib/xscreensaver/mirrorblob
%{_X11prefix}/lib/xscreensaver/moebius
%{_X11prefix}/lib/xscreensaver/molecule
%{_X11prefix}/lib/xscreensaver/morph3d
%{_X11prefix}/lib/xscreensaver/noof
%{_X11prefix}/lib/xscreensaver/pipes
%{_X11prefix}/lib/xscreensaver/polyhedra
%{_X11prefix}/lib/xscreensaver/polytopes
%{_X11prefix}/lib/xscreensaver/providence
%{_X11prefix}/lib/xscreensaver/pulsar
%{_X11prefix}/lib/xscreensaver/queens
%{_X11prefix}/lib/xscreensaver/rubik
%{_X11prefix}/lib/xscreensaver/sballs
%{_X11prefix}/lib/xscreensaver/sierpinski3d
%{_X11prefix}/lib/xscreensaver/spheremonics
%{_X11prefix}/lib/xscreensaver/sproingies
%{_X11prefix}/lib/xscreensaver/stairs
%{_X11prefix}/lib/xscreensaver/starwars
%{_X11prefix}/lib/xscreensaver/stonerview
%{_X11prefix}/lib/xscreensaver/superquadrics

%if %enable_extrusion
%files extrusion
%defattr(-,root,root)
%doc README.GL
%{_datadir}/control-center/screensavers/extrusion.xml
%{_X11prefix}/man/man1/extrusion.1*  
%{_X11prefix}/lib/xscreensaver/extrusion
%endif

%if %{plf}
%files matrix
%defattr(-,root,root)
%doc README.GL
%{_X11prefix}/man/man1/xmatrix.1*
%{_X11prefix}/man/man1/glmatrix.1*
%{_datadir}/control-center/screensavers/glmatrix.xml
%{_datadir}/control-center/screensavers/xmatrix.xml
%{_X11prefix}/lib/xscreensaver/xmatrix
%{_X11prefix}/lib/xscreensaver/glmatrix
%endif

%changelog
* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.18-2mdk
- Add patch19: fix kscreebsacer path use '/usr/X11R6/bin' and not '/usr/bin'

* Sun Aug 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.18-3mdk
- new hacks: anemotaxism, memscroller
- remove double menu entry
- New release 4.17

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 4.16-3mdk
- Update patch 15 to use xvt instead of xterm (Mdk bug #9320)

* Fri Jul 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.16-2mdk
- add xscreensaver-demo menu entry

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.16-1mdk
- add new hacks: antinspect, fuzzyflakes, polyhedra, providence
- drop patch 19
- New release 4.16

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.15-1mdk
- fix description
- add new hacks: mismunch, noof, pacman, wormhole
- fix typo in the kerberos driver
- new version

* Mon Dec 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.14-4mdk
- fix deps of the subpackages

* Thu Nov  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.14-3mdk
- enable extrusion and move it to the extrusion subpackage
- rename --with xmatrix to --with plf
- move xmatrix and glmatrix to the matrix subpackage

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.14-2mdk
- remove xmatrix, glmatrix and extrusion (thanks to Christian Bricart)

* Tue Nov  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.14-1mdk
- add new hacks: apple2, blinkbox, fontglide, gleidescope, mirrorblob, pong,
- add new hack: xanalogtv
- add new program ljlatest
- fix gle buildrequires
- new version
- new version

* Mon Oct 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 4.12-2mdk
- rebuild for rewriting /etc/pam.d file

* Thu Aug 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.12-1mdk
- add new hacks: flipflop, antspotlight and polytopes
- fix buildrequires
- new version

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.11-4mdk
- rebuild against new kerberos

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.11-3mdk
- remove unpackaged files (fix bug 4192)

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.11-2mdk
- change icons from xpm to png in source 2

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.11-1mdk
- disable extrusion if not requested
- fix icon
- add glmatrix only if requested
- add new gl screensavers: hypertorus, cubestorm, glknots and blocktube
- new version

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.10-1mdk
- From Gtz Waschk <waschk@linux-mandrake.com> :
 - add missing dir to the package
 - add the new hacks: cloudlife, klein
 - rediff patch 18
 - new version

* Wed Apr  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.09-1mdk
- Release 4.09 
- Update patch 9 to use our screensaver images by default
- from  Gtz Waschk <waschk@linux-mandrake.com> 
 - add the new hacks: picewise and atunnel

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 4.07-1mdk
- from Gtz Waschk <waschk@linux-mandrake.com> : 
 - add the new hacks
 - new version

* Wed Jan 21 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 4.06-4mdk
- English proofreading of menu entries (by Stew Benedicts)

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.06-3mdk
- Rebuilt against latest glibc

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.06-2mdk
- Regenerate patch6 (fix bug 639)

* Fri Nov  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.06-1mdk
- Release 4.06
- Regenerate patches 15, 18
- Remove patches 3, 5, 12, 14, 17, 19 (merged upstream)

* Thu Oct 17 2002 Stefan van der Eijk <stefan@eijk.nu> 4.05-8mdk
- BuildRequires: autoconf2.5 + libjpeg-devel

* Mon Sep 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.05-7mdk
- Patch18 : fix g_type fatal error on some X servers (thanks to Gary Lawrence Murphy)

* Wed Sep  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.05-6mdk
- Disable patch16, gtk2 lock widget doesn't seem to be that good yet
- Patch17: Fix .desktop entry icon and location

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.05-5mdk
- Oops, remove debug info..

* Tue Aug 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.05-4mdk
- No longer depends on xloadimage (done with gdk-pixbuf)
- Patch12 (rawhide): Fix critical hack
- Patch13 (rawhide): don't show screensavers that aren't available
- Patch14 (rawhide): fix locking from KDE
- Patch15: replace netscape call with $BROWSER call
- Patch16 (rawhide): use gtk2 lock widget
- Add source 2 (rawhide) to update gtk2 dialog
- Add source 3 (gnome cvs) + patch 17 for more translations

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.05-3mdk
- Patch11 : disable openGL hacks in main package and enable them
  when installing gl subpackage

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.05-2mdk
- Add icon for menu entry

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.05-1mdk
- Release 4.05 from  Gtz Waschk <waschk@linux-mandrake.com>
- remove patch 7, 12
- new hack: endgame in gl package

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.04-1mdk
- Release 4.04 from Gtz Waschk <waschk@linux-mandrake.com> 
 - fix menu to use xscreensaver-demo
 - fix locales installation
 - patch12: fix broken es.po
 - add webcollage-helper
 - drop patch 11, not needed anymore
 - add new hacks: anemone, queens, lavalite
 - drop all control-center stuff
 - build with gnome2
 - remove gnome1 cruft
 
* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.03-1mdk
- Release 4.03

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.02-2mdk
- add missing hacks (Gtz Waschk)

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.02-1mdk
- Release 4.02
- Patch11: fix libxml1 detection
- add optional support for extrusion and xmatrix (from Gtz Waschk)
- Remove patch2 (no longer needed)

* Tue Mar  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.00-4mdk
- Patch10: allow root to start xscreensaver

* Mon Mar  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.00-3mdk
- Fix build process

* Mon Jan 21 2002 Stefan van der Eijk <stefan@eijk.nu> 4.00-2mdk
- BuildRequires

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.00-1mdk
- Release 4.00
- Really remove patch6 !!
- Remove patches 8 (not needed) & 10 (merged upstream)

* Fri Jan 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 3.34-5mdk
- Regenerate patch 9 : put gdadou as default screensaver
- Remove patch 6 (merged in patch9)
- Put GNOME control center data back in GNOME control center package

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 3.34-4mdk
- Rebuild against new version of libcapplet

* Fri Dec 14 2001 Stefan van der Eijk <stefan@eijk.nu> 3.34-3mdk
- %%{_sysconfdir}/X11/app-defaults --> %%{_sysconfdir}/X11/app-defaults/*

* Thu Dec 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.34-2mdk
- Fixes from Gtz Waschk <waschk@linux-mandrake.com> :
 - added circuit to gl package
 - added vermiculate
 - added missing control-center descriptions

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.34-1mdk
- Release 3.34
- Regenerate patch 6 & 9
- Don't use makeinstall macro at all

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 3.33-7mdk
- BuildRequries: gnome-libs-devel pam-devel

* Mon Sep 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.33-6mdk
- Patch10 (rawhide): window-id hack for control-center

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.33-5mdk
- Compiled with kerebos support
- Remove patches 0,1 & 4
- Patch9 is back and regenerated
- Move Mesa dependent screensavers to -gl package
- Add missing screensavers

* Mon Jul 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.33-4mdk
- add a README.GL
- move to /usr/X11R6/lib/X11/app-defaults/XScreenSaver to
  /etc/X11/app-defaults/

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 3.33-3mdk
- BuildRequires: xpm-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 3.33-2mdk
- BuildRequires: lesstif-devel
- bzip patches

* Tue Jun 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.33-1mdk
- new version

* Tue Apr 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.31-1mdk
- new release

* Thu Feb 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.28-3mdk
- Remove the xmatrix screensaver as there are copyright problems.

* Wed Feb 14 2001 Michal Rokos <m.rokos@sh.cvut.cz> 3.28-2mdk
- Spec change in --enable-subdir=../X11R6/lib/xscreensaver for make it work
- added xmatrix again

* Sun Feb 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.28-1mdk
- new and shiny source.
- use of %%configure.
- commented out xroger as it seems to be missing.

* Mon Jan 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.27-1mdk
- new version

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 3.25-8mdk
- BuildRequires: bc, Mesa-common-devel
- Some spec clean up

* Mon Jan  1 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 3.25-7mdk
- added CFLAGS="-D_GNU_SOURCE" so it will build

* Fri Oct  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 3.25-6mdk
- Modify config file when (un)installing gl package (correct bug #580)

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.25-5mdk
- pam_stack.

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 3.25-4mdk
- Add files for Gnome control-center support

* Wed Sep 20 2000 Etienne Faure  <etienne@mandraksoft.com> 3.25-3mdk
- added dependencies: fortune-mod, Mesa-demo
- removed non-free screensaver (xmatrix...)

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.25-2mdk
- rebuild to avoid dependency on glide

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.25-1mdk
- new version
- macros, BM, ...
- add some doc
- remove find list
- fix permissions

* Sat Apr  1 2000 DindinX <odin@mandrakesoft.com> 3.23-1mdk
- New version

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 3.18-4mdk
- Fix groups
- Specs updates

* Thu Dec 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new Mesa.

* Fri Dec 03 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Define the ZIPPY_PROGRAM to /usr/games/fortune (and not `fortune`).

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- extend RPM silliness to man pages, too.
- kill setuid the Right Way(tm)
- 3.18.
- add a '-oneshot' single time lock option(r).
- take webcollage out of random list (for people who pay for bandwidth)(r).
- patch webcollage to use xloadimage(r)
- in the random list, run petri with -size 2 to save memory(r)
- remove security problem introduced earlier(r)

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting Mesa Xscreensaver.

* Sun Jul 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong dependences.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.17.
- Removed unused patchs.
- Add a new dependences (xscreensave now use gtk).

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.

* Tue May  4 1999 Bill Nottingham <notting@redhat.com>
- removed previously introduced security problem.

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- kill setuid the Right Way(tm)

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix xflame on alpha

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.09, fixes vmware interaction problems.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- remove setuid bit. Really. I mean it.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- kill setuid, since pam works OK

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- update to 3.08

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig returns, and no one is safe...

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- remove bsod from random list because it's confusing people???? *sigh*

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to get it to compile cleanely on the arm

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 3.07

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 3.06

* Tue Nov 17 1998 Bill Nottingham <notting@redhat.com>
- update to 3.04

* Thu Nov 12 1998 Bill Nottingham <notting@redhat.com>
- update to 3.02
- PAMify

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out Noseguy module b/c of possible TMv
- install modules in /usr/X11R6/lib/xscreensaver
- don't compile support for xshm on the alpha
- properly buildrooted
- updated to version 2.34

* Fri Aug  7 1998 Bill Nottingham <notting@redhat.com>
- update to 2.27

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- added fix for argv0 buffer overflow

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 2.10 to 2.16
- added buildroot

* Wed Oct 25 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version, configure

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
